apiVersion: v1
kind: ReplicationController
metadata:
  name: test-rc
  labels:
    name: test-rc
spec:
  replicas: 1
  template:
    metadata:
      labels:
        name: test-rc
    spec:
      containers:
        - name: test-rc
          image: nginx
          ports:
          - containerPort: 80
